DCMTK - Bug #837

Fix incompatibility between DCMTK's own FindICONV.cmake and the official one
2018-06-19 10:02 - Jan Schlamelcher

Status: Closed Start date: 2018-06-19
Priority: High Due date:

Assignee: Nikolas Goldhammer % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 3.6.4

Module: CMake Compiler:

Operating System:

Description

CMake recently (version >=3.11) introduced its own Findlconv Module , which is, of course, incompatible with the way we handled
things before. DCMTK's own FindICONV.cmake must be adjusted accordingly AND the code using either it or the native CMake one
must be modified to understand ICONV_FOUND instead / in addition to LIBICONV_FOUND etc.

Related issues:

Related to DCMTK - Patch #698: Trying to link against the iconv library altho... Closed 2016-10-25
Related to DCMTK - Feature #367: libiconv ist ggf. doppelt vorhanden New
History

#1 - 2018-06-19 10:03 - Jan Schlamelcher
- Related to Patch #698: Trying to link against the iconv library although it was disabled added

#2 - 2018-06-19 10:04 - Jan Schlamelcher
- Related to Feature #367: libiconv ist ggf. doppelt vorhanden added

#3 - 2018-07-10 12:31 - Jan Schlamelcher

- Status changed from New to Closed

Fixed in commits 0178bca9 and a9561f36 .
https://cmake.org/cmake/help/v3.11/module/FindIconv.html
http://git.dcmtk.org/?p=dcmtk.git;a=commitdiff;h=0178bca95ab2b7ed89e2cb8d491da8b6649fbd3a
http://git.dcmtk.org/?p=dcmtk.git;a=commitdiff;h=a9561f364d50adf5344d45e01fda0b2ae784877f
http://www.tcpdf.org

